- Home
- API Enriched
- Shape
- shape
- List All Bot Network Policies And Versions.
List All Bot Network Policies And Versions.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_network_policies';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_network_policies \ --header 'Authorization: <Authorization>'GET all bot network policies and versions.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace namespace is used to scope the query.
Responses
Section titled “Responses”A successful response.
List All Bot Policies And Versions Response.
object
Policy
Policy name and versions.
object
Human-readable name for the resource
Policy Versions.
Policy version.
object
Bot Infrastructure Name.
Policy last updated time.
Last Modified By the user email.
Policy Version Number.
Version status: in use, published, not published.
Examplegenerated
{ "policies": [ { "policy_name": "example", "policy_versions": [ { "bot_infras_name": [ "example" ], "update_time": "2026-04-15T12:00:00Z", "update_user": "example", "version_number": "example", "version_status": "example" } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example